# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Class CalendarLink

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.contacts.CalendarLink

All Implemented Interfaces:
  Extension

    public class CalendarLink

extends ExtensionPoint

Contact related calendar link.

Nested Class Summary
`static class` `CalendarLink.Rel` Known calendar link type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CalendarLink()` Default mutable constructor.
`CalendarLink(java.lang.String href, java.lang.String label, java.lang.Boolean primary, CalendarLink.Rel rel)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getHref()` Returns the URI of the calendar.
`java.lang.String` `getLabel()` Returns the user defined calendar link label.
`java.lang.Boolean` `getPrimary()` Returns the denotes primary calendar link.
`CalendarLink.Rel` `getRel()` Returns the known calendar link type.
`int` `hashCode()`
`boolean` `hasHref()` Returns whether it has the URI of the calendar.
`boolean` `hasLabel()` Returns whether it has the user defined calendar link label.
`boolean` `hasPrimary()` Returns whether it has the denotes primary calendar link.
`boolean` `hasRel()` Returns whether it has the known calendar link type.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setHref(java.lang.String href)` Sets the URI of the calendar.
`void` `setLabel(java.lang.String label)` Sets the user defined calendar link label.
`void` `setPrimary(java.lang.Boolean primary)` Sets the denotes primary calendar link.
`void` `setRel(CalendarLink.Rel rel)` Sets the known calendar link type.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarLink

    public CalendarLink()

  Default mutable constructor.

### CalendarLink

    public CalendarLink(java.lang.String href,
                        java.lang.String label,
                        java.lang.Boolean primary,
                        CalendarLink.Rel rel)

  Immutable constructor.

  Parameters:
    `href` - URI of the calendar.
    `label` - user defined calendar link label.
    `primary` - denotes primary calendar link.
    `rel` - known calendar link type.

Method Detail

### getHref

    public java.lang.String getHref()

  Returns the URI of the calendar.

  Returns:
    URI of the calendar

### setHref

    public void setHref(java.lang.String href)

  Sets the URI of the calendar.

  Parameters:
    `href` - URI of the calendar or `null` to reset

### hasHref

    public boolean hasHref()

  Returns whether it has the URI of the calendar.

  Returns:
    whether it has the URI of the calendar

### getLabel

    public java.lang.String getLabel()

  Returns the user defined calendar link label.

  Returns:
    user defined calendar link label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the user defined calendar link label.

  Parameters:
    `label` - user defined calendar link label or `null` to reset

### hasLabel

    public boolean hasLabel()

  Returns whether it has the user defined calendar link label.

  Returns:
    whether it has the user defined calendar link label

### getPrimary

    public java.lang.Boolean getPrimary()

  Returns the denotes primary calendar link.

  Returns:
    denotes primary calendar link

### setPrimary

    public void setPrimary(java.lang.Boolean primary)

  Sets the denotes primary calendar link.

  Parameters:
    `primary` - denotes primary calendar link or `null` to reset

### hasPrimary

    public boolean hasPrimary()

  Returns whether it has the denotes primary calendar link.

  Returns:
    whether it has the denotes primary calendar link

### getRel

    public CalendarLink.Rel getRel()

  Returns the known calendar link type.

  Returns:
    known calendar link type

### setRel

    public void setRel(CalendarLink.Rel rel)

  Sets the known calendar link type.

  Parameters:
    `rel` - known calendar link type or `null` to reset

### hasRel

    public boolean hasRel()

  Returns whether it has the known calendar link type.

  Returns:
    whether it has the known calendar link type

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`